#
# spec file for package rubygem-mime-types
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mime-types
Version:        3.4.1
Release:        1.9
%define mod_name mime-types
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/mime-types/ruby-mime-types/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        The mime-types library provides a library and registry for
License:        MIT
Group:          Development/Languages/Ruby

%description
The mime-types library provides a library and registry for information about
MIME content type definitions. It can be used to determine defined filename
extensions for MIME types, or to use filename extensions to look up the likely
MIME type definitions.
Version 3.0 is a major release that requires Ruby 2.0 compatibility and
removes
deprecated functions. The columnar registry format introduced in 2.6 has been
made the primary format; the registry data has been extracted from this
library
and put into {mime-types-data}[https://github.com/mime-types/mime-types-data].
Additionally, mime-types is now licensed exclusively under the MIT licence and
there is a code of conduct in effect. There are a number of other smaller
changes described in the History file.

%prep

%build

%install
%gem_install \
  --doc-files="History.md Licence.md README.rdoc" \
  -f

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.4.1
  see installed History.md
  [#] Changelog
  [#]# 3.4.1 / 2021-11-16
  - 1 bugfix:
  - Fixed a Ruby &lt; 2.3 incompatibility introduced by the use of standardrb,
    where `<<-` heredocs were converted to `<<~` heredocs. These have been
    reverted back to `<<-` with the indentation kept and a `.strip` call
    to prevent excess whitespace.
  [#]# 3.4.0 / 2021-11-15
  - 1 minor enhancement:
  - Added a new field to `MIME::Type` for checking provisional registrations
    from IANA. [#157]
  - Documentation:
  - Kevin Menard synced the documentation so that all examples are correct.
    [#153]
  - Administrivia:
  - Added Ruby 3.0 to the CI test matrix. Added `windows/jruby` to the
    CI exclusion list; it refuses to run successfully.
  - Removed the Travis CI configuration and changed it to Github Workflows
    [#150]. Removed Coveralls configuration.
  - Igor Victor added TruffleRuby to the Travis CI configuration. [#149]
  - Koichi ITO loosened an excessively tight dependency. [#147]
  - Started using `standardrb` for Ruby formatting and validation.
  - Moved `deps:top` functionality to a support file.
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.3.1
  see installed History.md
  [#]# 3.3.1 / 2019-12-26
  * 1 minor bugfix:
  * Al Snow fixed a warning with MIME::Types::Logger producing a warning
    because Ruby 2.7 introduces numbered block parameters. Because of the
    way that the MIME::Types::Logger works for deprecation messages, the
    initializer parameters had been named `_1`, `_2`, and `_3`. This has
    now been resolved. [#146][]
  * Administrivia:
  * Olle Jonsson removed an outdated Travis configuration option (`sudo:
    false`). [#142][]
  [#]# 3.3 / 2019-09-04
  * 1 minor enhancement
  * Jean Boussier reduced memory usage for Ruby versions 2.3 or higher by
    interning various string values in each type. This is done with a
    backwards-compatible call that _freezes_ the strings on older
    versions of Ruby. [#141][]
  * Administrivia:
  * Nicholas La Roux updated Travis build configurations. [#139][]
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 3.2.2
  History.rdoc removed upstream
* Mon May 23 2016 coolo@suse.com
- updated to version 3.1
  see installed History.rdoc
  == 3.1 / 2016-05-22
  * 1 documentation change:
  * Tim Smith (@tas50) updated the build badges to be SVGs to improve
    readability on high-density (retina) screens with pull request
    {#112}[https://github.com/mime-types/ruby-mime-types/pull/112].
  * 3 bug fixes
  * A test for MIME::Types::Cache fails under Ruby 2.3 because of frozen
    strings, {#118}[https://github.com/mime-types/ruby-mime-types/issues/118].
    This has been fixed.
  * The JSON data has been incorrectly encoded since the release of mime-types
    3 on the +xrefs+ field, because of the switch to using a Set to store
    cross-reference information. This has been fixed.
  * A tentative fix for
    {#117}[https://github.com/mime-types/ruby-mime-types/issues/117] has been
    applied, removing the only circular require dependencies that exist (and
    for which there was code to prevent, but the current fix is simpler).
    I have no way to verify this fix and depending on how things are loaded by
    +delayed_job+, this fix may not be sufficient.
  * 1 governance change
  * Updated to {Contributor Covenant 1.4}[Code-of-Conduct_rdoc.html].
* Sun Nov 22 2015 coolo@suse.com
- updated to version 3.0
  see installed History.rdoc
  == 3.0 / 2015-11-21
  * 2 governance changes
  * This project and the related mime-types-data project are now exclusively
    MIT licensed. Resolves
    {#95}[https://github.com/mime-types/ruby-mime-types/issues/95].
  * All projects under the mime-types organization now have a standard code of
    conduct adapted from the {Contributor
    Covenant}[http://contributor-covenant.org]. This text can be found in the
    {Code-of-Conduct.rdoc}[Code-of-Conduct_rdoc.html] file.
  * 3 major changes
  * All methods deprecated in mime-types 2.x have been removed.
  * mime-types now requires Ruby 2.0 compatibility or later. Resolves
    {#97}[https://github.com/mime-types/ruby-mime-types/issues/97].
  * The registry data has been removed from mime-types and put into
    mime-types-data, maintained and released separately. It can be found at
    {mime-types-data}[https://github.com/mime-types/mime-types-data].
  * 17 minor changes:
  * MIME::Type changes:
  * Changed the way that simplified types representations are creatd to
    reflect the fact that +x-+ prefixes are no longer considered special
    according to IANA. A simplified MIME type is case-folded to lowercase. A
    new keyword parameter, +remove_x_prefix+, can be provided to remove +x-+
    prefixes.
  * Improved initialization with an Array works so that extensions do not
    need to be wrapped in another array. This means that <tt>%%w(text/yaml
    yaml yml)</tt> works in the same way that <tt>['text/yaml', %%w(yaml
    yml)]</tt> did (and still does).
  * Changed +priority_compare+ to conform with attributes that no longer
    exist.
  * Changed the internal implementation of extensions to use a frozen Set.
  * When extensions are set or modified with +add_extensions+, the primary
    registry will be informed of a need to reindex extensions. Resolves
    {#84}[https://github.com/mime-types/ruby-mime-types/issues/84].
  * The preferred extension can be set explicitly. If not set, it will be the
    first extension. If the preferred extension is not in the extension list,
    it will be added.
  * Improved how xref URLs are generated.
  * Converted +obsolete+, +registered+ and +signature+ to attr_accessors.
  * MIME::Types changes:
  * Modified MIME::Types.new to track instances of MIME::Types so that they
    can be told to reindex the extensions as necessary.
  * Removed +data_version+ attribute.
  * Changed #[] so that the +complete+ and +registered+ flags are keywords
    instead of a generic options parameter.
  * Extracted the class methods to a separate file.
  * Changed the container implementation to use a Set instead of an Array to
    prevent data duplication. Resolves
    {#79}[https://github.com/mime-types/ruby-mime-types/issues/79].
  * MIME::Types::Cache changes:
  * Caching is now based on the data gem version instead of the mime-types
    version.
  * Caching is compatible with columnar registry stores.
  * MIME::Types::Loader changes:
  * MIME::Types::Loader::PATH has been removed and replaced with
    MIME::Types::Data::PATH from the mime-types-data gem. The environment
    variable RUBY_MIME_TYPES_DATA is still used.
  * Support for the long-deprecated mime-types v1 format has been removed.
  * The registry is default loaded from the columnar store by default. The
    internal format of the columnar store has changed; many of the boolean
    flags are now loaded from a single file. Resolves
    {#85}[https://github.com/mime-types/ruby-mime-types/85].
* Mon Sep 14 2015 coolo@suse.com
- updated to version 2.6.2
  see installed History.rdoc
  == 2.6.2 / 2015-09-13
  * Bugs:
  * Emilio Losada (@losadaem) fixed an error where +each_with_object+'s block
    parameters are the inverse of those used by +inject+. Resolves
    {#107}[https://github.com/mime-types/ruby-mime-types/issues/107] with pull
    request {#108}[https://github.com/mime-types/ruby-mime-types/pull/108].
  * Matt Beedle (@mattbeedle) fixed a typo in MIME::Type::Columnar negatively
    affecting people who use the +use_instead+ functionality. Resolved in
    {#109}[https://github.com/mime-types/ruby-mime-types/pull/109].
  * Documentation:
  * Juanito Fatas (@JuanitoFatas) fixed a documentation issue with the README
    not properly linking internally on the generated rdoc source. Resolved with
    {#105}[https://github.com/mime-types/ruby-mime-types/pull/105].
  * Development:
  * Fixed a minor issue in the IANA registry parser that would generate empty
    +text+ xrefs if the +text+ section was empty.
* Thu May 28 2015 coolo@suse.com
- updated to version 2.6.1
  see installed History.rdoc
  == 2.6.1 / 2015-05-25
  * Bugs:
  * Make columnar store handle all supported extensions, not just the first.
  * Avoid circular require when using the columnar store.
  == 2.6 / 2015-05-25
  * New Feature:
  * Columnar data storage for the MIME::Types registry, contributed by Jeremy
    Evans (@jeremyevans). Reduces default memory use substantially (the mail
    gem drops from 19 Mib to about 3 Mib). Resolves
    {#96}[https://github.com/mime-types/ruby-mime-types/pull/96],
    {#94}[https://github.com/mime-types/ruby-mime-types/issues/94],
    {#83}[https://github.com/mime-types/ruby-mime-types/issues/83]. Partially
    addresses {#64}[https://github.com/mime-types/ruby-mime-types/issues/64]
    and {#62}[https://github.com/mime-types/ruby-mime-types/issues/62].
  * Development:
  * Removed caching of deprecation messages in preparation for mime-types 3.0.
    Now, deprecated methods will always warn their deprecation instead of only
    warning once.
  * Added a logger for deprecation messages.
  * Renamed <tt>lib/mime.rb</tt> to <tt>lib/mime/deprecations.rb</tt> to not
    conflict with the {mime}[https://rubygems.org/gems/mime] gem on behalf of
    the maintainers of the {Praxis Framework}[http://praxis-framework.io/].
    Provided by Josep M. Blanquer (@blanquer),
    {#100}[https://github.com/mime-types/ruby-mime-types/pull/100].
  * Added the columnar data conversion tool, also provided by Jeremy Evans.
  * Documentation:
  * Improved documentation and ensured that all deprecated methods are marked
    as such in the documentation.
  * Development:
  * Added more Ruby variants to Travis CI.
  * Silenced deprecation messages for internal tools. Noisy deprecations are
    noisy, but that's the point.
* Sun Apr 26 2015 coolo@suse.com
- updated to version 2.5
  see installed History.rdoc
  == 2.5 / 2015-04-25
  * Bugs:
  * David Genord (@albus522) fixed a bug in loading MIME::types cache where a
    container loaded from cache did not have the expected +default_proc+,
    {#86}[https://github.com/mime-types/ruby-mime-types/pull/86].
  * Richard Schneeman (@schneems) provided a patch that substantially reduces
    unnecessary allocations.
  * Documentation:
  * Tibor Szolár (@flexik) fixed a typo in the README,
    {#82}[https://github.com/mime-types/ruby-mime-types/pull/82]
  * Fixed {#80}[https://github.com/mime-types/ruby-mime-types/issues/80],
    clarifying the relationship of MIME::Type#content_type and
    MIME::Type#simplified, with Ken Ip (@kenips).
  * Development:
  * Juanito Fatas (@JuanitoFatas) enabled container mode on Travis CI,
    {#87}[https://github.com/mime-types/ruby-mime-types/pull/87].
  * Moved development to a mime-types organization under
    {mime-types/ruby-mime-types}[https://github.com/mime-types/ruby-mime-types].
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.4.3
  * Bugs:
  * Restored Ruby 1.9.2 support by using +private_constant+ conditionally.
    Fixes {#77}[https://github.com/halostatue/mime-types/issues/77] found by
    Kris Leech (@krisleech). The conditional use of +private_constant+ here
    will be removed for mime-types 3.0, when Ruby 1.9.2 support will be
    unconditionally removed.
  == 2.4.2 / 2014-10-15
  * Bugs:
  * Aaron Patterson (@tenderlove) found a loading bug and provided a fix that
    nearly doubled registry load performance
    ({#74}[https://github.com/halostatue/mime-types/pull/74]).
  * Godfrey Chan (@chancancode) provided a prophylactic security fix to use
    <tt>JSON.parse</tt> instead of <tt>JSON.load</tt> in
    {#75}[https://github.com/halostatue/mime-types/pull/75]. This provides a
    20%% improvement over the already improved result, resulting in a total 55%%
    performance boost.
* Wed Oct 15 2014 coolo@suse.com
- updated to version 2.4.1
  * Changed the sort order of many of the extensions to restore behaviour
    from mime-types 1.25.1.
  * Added +friendly+ MIME::Type descriptions where known.
  * Added +reg+, +ps1+, and +vbs+ extensions to application/x-msdos-program and
    application/x-msdownload.
  * Updated the IANA media registry entries as of release date.
  * Several MIME types had updated metadata (application/alto-*, RFC7285;
    application/calendar\+json, RFC7265; application/http, RFC7230;
    application/xml, RFC7303; application/xml-dtd, RFC7303;
    application/xml-external-parsed-entity, RFC7303; audio/AMR-WB, RFC4867;
    audio/aptx, RFC7310; message/http, RFC7230; multipart/byteranges, RFC7233;
    text/xml, RFC7303; text/xml-external-parsed-entity, RFC7303)
  * MIME::Type application/EDI-Consent was renamed to application/EDI-consent.
  * Obsoleted application/vnd.informix-visionary in favour of
    application/vnd.visionary. Obsoleted
    application/vnd.nokia.n-gage.symbian.install with no replacement.
  * Added MIME types: application/ATF, application/coap-group\+json,
    application/DCD, application/merge-patch\+json, application/scaip\+xml,
    application/vnd.apache.thrift.binary, application/vnd.artsquare,
    application/vnd.doremir.scorecloud-binary-document, application/vnd.dzr,
    application/vnd.maxmind.maxmind-db,
    application/vnd.ntt-local.ogw_remote-access, application/xml-patch+xml,
    image/vnd.tencent.tap.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon May 26 2014 coolo@suse.com
- updated to version 2.3
  * Updated the IANA media registry entries as of release date.
  * Several MIME types had additional metadata added on the most recent import.
  * MIME::Type application/pidfxml was renamed to application/pidf\+xml.
  * Added MIME types: application/3gpdash-qoe-report\+xml,
    application/alto-costmap\+json, application/alto-costmapfilter\+json,
    application/alto-directory\+json, application/alto-endpointcost\+json,
    application/alto-endpointcostparams\+json,
    application/alto-endpointprop\+json,
    application/alto-endpointpropparams\+json, application/alto-error\+json,
    application/alto-networkmap\+json, application/alto-networkmapfilter\+json,
    application/calendar\+json, application/vnd.debian.binary-package,
    application/vnd.geo\+json,
    application/vnd.ims.lis.v2.result\+json,
    application/vnd.ims.lti.v2.toolconsumerprofile\+json,
    application/vnd.ims.lti.v2.toolproxy\+json,
    application/vnd.ims.lti.v2.toolproxy.id\+json,
    application/vnd.ims.lti.v2.toolsettings\+json,
    application/vnd.ims.lti.v2.toolsettings.simple\+json,
    application/vnd.mason\+json, application/vnd.miele\+json,
    application/vnd.ms-3mfdocument, application/vnd.panoply,
    application/vnd.valve.source.material, application/vnd.yaoweme, audio/aptx,
    image/vnd.valve.source.texture, model/vnd.opengex,
    model/vnd.valve.source.compiled-map, model/x3d\+fastinfoset,
    text/cache-manifest
* Sat Mar 15 2014 coolo@suse.com
- updated to version 2.2
  * Clarified contribution guidelines for MIME types. Resolves
  {#57}[https://github.com/halostatue/mime-types/issues/57].
  * Fixed a small bug where deprecated methods would warn of deprecation when
  called by internal methods. Resolves
  {#60}[https://github.com/halostatue/mime-types/issues/60].
  * Dropped Code Climate; added Coveralls for test coverage reports.
  * Removing external references to RubyForge, as it is shutting down. Resolves
  {#59}[https://github.com/halostatue/mime-types/issues/59].
* Sun Feb 23 2014 coolo@suse.com
- updated to version 2.1
  * API Changes (MIME::Type):
  * Added MIME::Type#xrefs and MIME::Type#xref_urls that have better handling
    of types of reference information. MIME::Type#references= has been
    deprecated. In a future release, both MIME::Type#references will be turned
    into a short-hand view on MIME::Type#xrefs, MIME::Type#urls will be an
    alias for MIME::Type#xref_urls, and MIME::Type#references= will be removed.
  * New or Updated MIME Types:
  * This information is now tracked in History-Types.rdoc.
  * MIME Type Development Tools
  * The IANA registry format changed, breaking the IANA registry tool
    previously used. Rewrote IANADownloader and IANADownloader::Parser as
    IANARegistryParser using the XML form.
  * The LTSW list has been dropped as it has not been updated since 2002.
  * The default Apache MIME types configuration list is now used to enrich MIME
    type data with additional extension information.
* Thu Oct 31 2013 coolo@suse.com
- updated to version 2.0, see History.rdoc
  * API Changes (General):
  * mime-types is no longer compatible with Ruby 1.8. Additionally, for its
    YAML operations (normally development and test), it requires a YAML parser
    that conforms to the Psych parser, not the Syck parser. This would only be
    a problem with an alternative Ruby 1.9.2 interpreter that does not
    implement the Psych parser conventions by requiring +psych+.
  * MIME::InvalidContentType has been renamed to
    MIME::Type::InvalidContentType.
  * API Changes (MIME::Type):
  * Construction of a MIME::Type can be with any of the following objects:
  * An array containing a valid content type identifier and an optional array
    of extensions. This allows MIME::Type.new to be used instead of
    MIME::Type.from_array for the most common use-case. Fixes #43.
    https://github.com/halostatue/mime-types/pull/43
  * A Hash containing the output of MIME::Type#to_h, as would be deserialized
    from the JSON representation of a MIME::Type. This replaces
    MIME::Type.from_hash using a different parameter set.
  * Another MIME::Type.
  * A content type identifier string.
  * Assignment of an invalid encoding to MIME::Type#encoding= will raise a
    MIME::Type::InvalidEncoding exception rather than a plain ArgumentError.
  * MIME::Type#url has been renamed to MIME::Type#references.
  * MIME::Type#use_instead is now tracked as its own attribute, not as part of
    MIME::Type#docs.
  * MIME::Type#system, MIME::Type#system?, MIME::Type#platform?,
    MIME::Type#to_a, MIME::Type#to_hash, MIME::Type.from_array,
    MIME::Type.from_hash, and MIME::Type.from_mime_type have been deprecated
    for removal.
  * Implemented YAML object encoding and decoding methods,
    MIME::Type#encode_with and MIME::Type#init_with.
  * Implemented JSON hash encoding methods.
  * Added MIME::Type#add_extensions to easily add extensions to a MIME::Type.
    Fixes #44. https://github.com/halostatue/mime-types/pull/44
  * API Changes (MIME::Types):
  * MIME type caching has been extracted to its own class. It is structurally
    similar to what was introduced with mime-types 1.25, but is no longer
    considered an experimental interface.
  * MIME type loading has been extracted to its own class. Loading has changed
    substantially.
  * MIME::Types#[] accepts a new filter flag, :registered. The :platform flag
    has been deprecated.
  * The MIME::Types#type_for platform parameter has been deprecated.
  * Added the ability for MIME::Types#type_for produce results for multiple
    filenames or extensions by providing an array as the first parameter. Fixes
    [#42]. https://github.com/halostatue/mime-types/pull/42
  * MIME::Types#add_type_variant and MIME::Types#index_extensions have been
    deprecated as public methods. They will be private in a future version.
  * MIME::Types#defined_types, MIME::Types.cache_file,
    MIME::Types.add_type_variant, and MIME::Types.index_extensions have been
    deprecated for removal.
  * Default Registry Changes:
  * The default registry is now a file in the directory data/, located via
    MIME::Types::Loader::PATH. +PATH+ is defined in the file
    lib/mime/types/path.rb so that system packagers only have to modify one
    file in order to put the registry in a location that is not where a gem
    version of mime-types would expect it. This resolves issue #36, reported by
    postmodern. https://github.com/halostatue/mime-types/pull/36
  * The default registry is now a single file in JSON format. This resolves
    issue #28 reported by jasonlor (an error with mime-types in MacRuby).
    https://github.com/halostatue/mime-types/pull/28
  * The default registry is compiled from YAML files in type-lists/, resolving
    issue #37 reported by postmodern requesting an easier-to-edit format.
* Tue Sep  3 2013 coolo@suse.com
- updated to version 1.25
  * New Features:
  * Adding lazy loading and caching functionality to the default data based on
    work done by Greg Brockman (gdb).
  * Bugs:
  * Force the default internal application encoding to be used when reading the
    MIME types database. Based on a change by briangamble, found in the rapid7
    fork.
  * New extensions:
  * mjpeg (video/x-motion-jpeg) based on a change by punkrats, found in the
    vidibus fork.
  * Modernized MiniTest configuration.
* Mon Aug 26 2013 coolo@suse.com
- updated to version 1.24
  * Code Climate:
  * Working on improving the quality of the mime-types codebase through the use
    of Code Climate. https://codeclimate.com/github/halostatue/mime-types
  * Simplified MIME::Type.from_array to make more assumptions about assignment.
  * Documentation:
  * LeoYoung <mrleoyoung@gmail.com> pointed out that the README.rdoc contained
    examples that could never possibly work because MIME::Types#[] returns (for
    all the versions I have handy) an array, not a single type. I have updated
    README.rdoc to reflect this.
  * Removed Nokogiri as a declared development dependency. It is still required
  if you're going to use the IANA parser functionality, but it is not necessary
  for most development purposes. This has been removed to ensure that Travis CI
  passes on Ruby 1.8.7.
  * New MIME Types:
  * 7zip (application/x-7z-compressed). Fixes a request by kodram.
    https://github.com/halostatue/mime-types/issues/32
  * application/x-www-form-urlencoded. Fixes a request by alexkwolfe.
    https://github.com/halostatue/mime-types/issues/39
  * Various new MIME types from IANA:
  * application/mbms-schedule\+xml from 3GPP and Turcotte.
  * application/provenance\+xml from W3C and Herman.
  * application/session-info from 3GPP and Firmin.
  * application/urc-grpsheet\+xml, application/urc-targetdesc\+xml,
    application/uisocketdesc\+xml from Zimmermann.
  * application/api\+json from Klabnik.
  * application/vnd.etsi.pstn\+xml from Han and Belling.
  * application/vnd.fujixerox.docuworks.container from Tashiro.
  * application/vnd.windows.devicepairing from Dandawate.
  * video/vnd.radgamettools.bink and video/vnd.radgamettools.smacker from
    Andersson.
  * Updated MIME Types:
  * RFC 6960 was adopted (application/ocsp-request and application/ocsp-response).
* Mon May  6 2013 cfarrell@suse.com
- license update: MIT or (Artistic-1.0 or GPL-1.0+)
  License is MIT or Perl Artistic (which itself splits into Artistic-1.0 or
  GPL-1.0+)
* Sat Apr 27 2013 coolo@suse.com
- updated to version 1.23
  * New Feature:
  * Arnaud Meuret (ameuret) suggested that it could be useful if the MIME type
    collection was enumerable, so he implemented it in #30. Thanks for the
    contribution! https://github.com/halostatue/mime-types/pull/30
  * Updated MIME Types:
  * RFC6910 was adopted (application/call-completion).
  * RFC6902 was adopted (application/json-patch\+json).
  * RFC6917 was adopted (application/mrb-consumer\+xml,
    application/mrb-publish\+xml).
  * RFC6922 was adopted (application/sql).
  * RFC2560 is being
    {updated}[http://tools.ietf.org/html/draft-ietf-pkix-rfc2560bis].
  * Administrivia:
  * The gemspec now includes information about the licenses under which the
    mime-types gem is available.
  * Using hoe-gemspec2 instead of hoe-gemspec.
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.22
  * New MIME Types:
  * Added support for 3FR (Hasselblad raw images) files. MIME-Type was obtained
    by looking at exif data with exiftool. Thanks to cgat for these changes.
    https://github.com/halostatue/mime-types/pull/27
  * Updated MIME Types:
  * Pulled the latest updates from the IANA MIME-Type registry.
  * Added support for Ruby 2.0 with Travis CI.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.21
  * New MIME Types:
  * Various new or updated MIME types by Garret Alfert:
    application/vnd.ms-fontobject, .eot; application/x-chrome-extension, .crx;
    application/x-web-app-manifest\+json, .webapp; application/x-xpinstall,
    .xpi; image/svg\+xml, .svg, .svgz; image/webp, .webp; text/cache-manifest,
    .appcache, .manifest. https://github.com/halostatue/mime-types/pull/24
  * Fixed some Manifest.txt related madness on Travis.
* Tue Feb  5 2013 coolo@suse.com
- updated to version 1.20.1
* Thu Aug  2 2012 cfarrell@suse.com
- license update: GPL-2.0+ or Artistic-1.0 or Ruby
  See data/License.rdoc
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to get new provisions
* Sun Jul 15 2012 coolo@suse.com
- update to 1.19
  * New MIME Types:
  * Types reported in Issue #6 (https://github.com/halostatue/mime-types/issues/6):
  * XCF Gnome Images (image/x-xcf, image/x-compressed-xcf; .xcf). https://github.com/halostatue/mime-types/issue/17
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * DV (video/x-dv; .dv)
  * IVF (video/x-ivf; .ivf)
  * Matroska (video/x-matroska; .mkv)
  * Motion JPEG (video/x-motion-jpeg; .mjpg)
  * RealMedia (official; application/vnd.rn-realmedia; .rm)
  * New extensions:
  * dcm (application/dicom); https://github.com/halostatue/mime-types/issue/16.
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * 3g2, 3gpp2 (video/3gpp2)
  * mpeg (video/mpeg)
  * mxf (application/mxf)
  * ts (video/MP2T)
  * ogg (video/ogg)
  * Fixed MIME Types:
  * Adobe AIR application installer packages was missing a hyphen. https://github.com/halostatue/mime-types/issue/13
  * Types reported in https://github.com/halostatue/mime-types/issues/12:
  * audio/x-pn-realaudio extension is .ra, not .rm.
  * Resolved https://github.com/halostatue/mime-types/issues/8. Apparently some people run the tests on Linux. Imagine that.
* Tue Apr  3 2012 coolo@suse.com
- update to 1.18
  * New MIME Types:
  * Types reported in Issue #6 (https://github.com/halostatue/mime-types/issues/6):
  * CoffeeScript (text/x-coffeescript; .coffee; 8bit).
  * AIR (application/vnd.adobe.air-applicationinstaller-package+zip, .air; base64).
  * WOFF (application/font-woff; .woff; base64).
  * TrueType (application/x-font-truetype; .ttf; base64).
  * OpenType (application/x-font-opentype; .otf; base64).
  * WebM (audio/webm, video/webm; .webm). Issue #11 (https://github.com/halostatue/mime-types/issues/11).
  * New extensions:
  * f4v/f4p (video/mp4, used by Adobe); f4a/fb4 (audio/mp4, used by Adobe).
  * Bug Fixes:
  * It was pointed out that Licence.txt was incorrectly named. Fixed by renaming to Licence.rdoc (from Issue/Pull Request #8, https://github.com/halostatue/mime-types/issues/8).
  * It was pointed out that a plan to have the test output generated automatically never went through. Issue #10 (https://github.com/halostatue/mime-types/issues/10)
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Nov  3 2011 mrueckert@suse.de
- update to 1.17.2 (bnc#727772)
  * Fixed an issue with Ruby 1.9 and file encoding.
  * Implemented modern 'hoe' semantics.
  * Switched to minitest instead of test/unit.
  * Converted documentation from .txt to .rdoc.
  * Removed setup.rb. (Issue #3:
    https://github.com/halostatue/mime-types/issues/3).
  * Should no longer complain about missing RubyGems keys (Issue #2:
    https://github.com/halostatue/mime-types/issues/2).
  * Added .mp4 and .mpg4 as recognized extensions for
    {application,audio,video}/mp4 per RFC4337. (Issue #1:
    https://github.com/halostatue/mime-types/issues/1).
  * Added audio/x-aac and .aac per RubyForge issue #28054
    (http://rubyforge.org/tracker/index.php?func=detail&aid=28054&group_id=293&atid=1194).
  * Made it much easier to update MIME types from this point forward.
  * Updated MIME types from IANA.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Aug  8 2009 dmacvicar@novell.com
- initial package for 1.16
